@import "~@/assets/sass/theme.sass"
@import "~@/assets/sass/common/typography.sass"

.statistics
  display: grid
  justify-items: center
  padding-top: 100px
  &__title
    @extend .text-f36
    color: $white
    font-weight: 700
    margin-bottom: 24px
    opacity: 0
    @media (max-width: $mbp)
      font-size: $f28-size
      line-height: $f28-lh
  &__gradient
    width: 0
  &-header
    display: flex
    flex-direction: column
    margin-bottom: 48px
  &-main
    justify-self: stretch
    margin-bottom: 100px
    @media (max-width: $mbp)
      margin-bottom: 50px
  &-counters
    padding: 0 112px
    justify-self: stretch
    justify-content: space-between
    display: grid
    grid-template-columns: 1fr 1fr
    grid-gap: 48px
    grid-auto-rows: min-content
    margin-bottom: 200px
    @media (max-width: $mbp)
      padding: 0
      grid-gap: 48px 24px
      margin-bottom: 50px
    &-item
      opacity: 0
      display: flex
      flex-direction: column
      align-items: flex-start
      grid-row-gap: 24px
      @media (max-width: $mbp)
        grid-row-gap: 16px
      &:nth-child(2n)
        align-items: flex-end
        @media (max-width: $mbp)
          align-items: flex-start
      &__count
        @extend .text-f72
        color: $white
        font-weight: 700
        @media (max-width: $mbp)
          font-size: $f34-size
          line-height: $f34-lh
      &__text
        @extend .text-f16
        color: $white
        font-weight: 500
        @media (max-width: $mbp)
          font-size: $f14-size
          line-height: $f14-lh
  &-cards
    position: relative
    display: grid
    align-items: center
    margin-bottom: 144px
    height: 500px
    @media (max-width: $mbp)
      height: 180px
      margin-bottom: 88px
    &-item
      opacity: 0
      box-shadow: 0 13px 70px rgba(0, 255, 17, 0.15)
      border-radius: 10px
      background-color: $black-2
      padding: 50px
      height: 100%
      width: 100%
      @media (max-width: $mbp)
        height: 180px
        box-shadow: 0 3.41703px 18.3994px rgba(0, 255, 17, 0.15)
      &-wrapper
        position: absolute
        width: 30%
        height: 500px
        left: 50%
        top: 50%
        @media (max-width: $mbp)
          height: 180px
        &:nth-child(1)
          top: 60%
          left: 15%
          transform: translate(-50%, -50%) scale(0.6)
          z-index: 1
          @media (max-width: $mbp)
            left: 15%
          .statistics-cards-item
            padding: 10px 0
            @media (max-width: $mbp)
              padding: 4px 0
          .statistics-cards-item__image
            background-image: url("~@/assets/images/statistics/animals/animal_1.png")
        &:nth-child(2)
          top: 55%
          left: 30%
          transform: translate(-50%, -50%) scale(0.8)
          z-index: 2
          .statistics-cards-item
            padding: 30px 0
            @media (max-width: $mbp)
              padding: 8px 0
          .statistics-cards-item__image
            background-image: url("~@/assets/images/statistics/animals/animal_2.png")
        &:nth-child(3)
          transform: translate(-50%, -50%) scale(1)
          z-index: 3
          .statistics-cards-item
            padding: 50px 0
            @media (max-width: $mbp)
              padding: 12px 0
          .statistics-cards-item__image
            background-image: url("~@/assets/images/statistics/animals/animal_3.png")
        &:nth-child(4)
          top: 55%
          left: 70%
          transform: translate(-50%, -50%) scale(.8)
          z-index: 2
          .statistics-cards-item
            padding: 30px 0
            @media (max-width: $mbp)
              padding: 8px 0
          .statistics-cards-item__image
            background-image: url("~@/assets/images/statistics/animals/animal_4.png")
        &:nth-child(5)
          top: 60%
          left: 85%
          transform: translate(-50%, -50%) scale(.6)
          z-index: 1
          .statistics-cards-item
            padding: 10px 0
            @media (max-width: $mbp)
              padding: 4px 0
          .statistics-cards-item__image
            background-image: url("~@/assets/images/statistics/animals/animal_5.png")
      &__image
        opacity: 0
        height: 100%
        width: 100%
        background-repeat: no-repeat
        background-position: center
        background-size: contain
    &::after
      content: ''
      z-index: 4
      position: absolute
      bottom: -100px
      height: 200px
      width: 100%
      background: url("~@/assets/images/statistics/animals/cards_green_underline.svg") no-repeat center / contain

  &-features
    display: grid
    grid-template-columns: repeat(3, 1fr)
    grid-column-gap: 60px
    @media (max-width: $mbp)
      grid-template-columns: 1fr
      grid-row-gap: 48px
    &-item
      opacity: 0
      &__title
        @extend .text-f24
        color: $white
        font-weight: 700
        margin-bottom: 24px
        @media (max-width: $mbp)
          font-size: $f22-size
          line-height: $f22-lh
          margin-bottom: 16px
      &__text
        @extend .text-f16
        color: $white
        font-weight: 500
        margin-bottom: 48px
        @media (max-width: $mbp)
          margin-bottom: 24px
      &-card
        padding: 48px 36px
        height: 500px
        border-radius: 10px
        box-shadow: 0 13px 70px rgba(0, 255, 17, 0.15)
        background-color: $black-2
        @media (max-width: $mbp)
          height: 460px
          padding: 48px 32px
        &__image
          background-size: contain
          background-position: center
          background-repeat: no-repeat
          width: 100%
          border-radius: 10px
          height: 100%
  &__btn
    opacity: 0
    @media (max-width: $mbp)
      width: 100%
